Drawdown request
API reference
Request a payment from an external bank, to be sent by wire.
In November 2027, the Fedwire Funds Service will remove the fully unstructured postal address option in favor of a single hybrid postal address format. All parties (intermediaryFi, beneficiaryFi, beneficiary, originator) across all message types must transition from free-text address lines (address1, address2, address3) to a new postalAddress object with mandatory adrLine1, country and city fields.
In advance of the Fedwire enforcement date, all partners must use the new postalAddress structure in production no later than October 2027. Messages sent in the old format after this date will be rejected.
Endpoint: /wires/v1/payments/corporate-drawdown-requests
POST
https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests
curl -L 'https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests' ^
-H 'Content-Type: application/json' ^
-H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTQ2MzYyNSwiaWF0IjoxNzUxNDYzNjI1LCJleHAiOjE3NTE0NjcyMjUsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJkZmYxMjQ5MzBhYzU0ZjI1YWRmMzY5OGNmNjk4NzQxZSIsImp0aSI6IkZDNjVBMjQ4NjQzNkEzNUQ3RjQyNkEyM0Q3ODQ1QUM3In0.fRpMlnR9xSOWcPRkHSuN2u8X5U6ZBpxsKPMZLKlZWmas5Gh0ClP0q_4j1ddEHzl8AhuLDzt9rkC7i8uF8cCN2af7XCZR0abiQd9ZbtuFjbMOw0y8wXQjzPTtiA2Rth1GmIJnrgH8OG-4k_FdbsU7pP8nK5NHaiUR9NrhvORh-_gfHtlk5Gc2g74ilDrZ-7mCCp96rdE34BDke0JaYiLZZFcW--ZSSr9Ue4YKM_cIQ8Hxl7zHtToZJIJY9Cf0R32QnWwwa6tyEJCmadpznf00Or2ldM0zTMNwgTbUPPAVKERPbKmVSV25GIIKhF5DnCiJBnsC26a1JmFoasSAgCqNDQ' ^
-d '{
"accountNumber": "",
"originator":
{
"idCode": "D",
"identifier": "",
"name": "PMR Corp",
"postalAddress": {
"adrLine1": "10431 Howe Drive",
"city": "Shawnee Mission",
"state": "KS",
"postalCode": "66206",
"country": "US"
}
},
"receiverRoutingNumber": "026009593",
"drawdownCreditAccountNumber": "021214891",
"beneficiaryFi":
{
"idCode": "D",
"identifier": "021214891",
"name": "Cross River Bank",
"postalAddress": {
"adrLine1": "400 KELBY STREET",
"city": "Fort Lee",
"state": "NJ",
"postalCode": "07024",
"country": "US"
}
},
"drawdownDebitAccount":
{
"idCode": "D",
"identifier": "777555333",
"name": "Lindberg Incorporated",
"postalAddress": {
"adrLine1": "5 Stop St",
"city": "New York",
"state": "NY",
"postalCode": "52555",
"country": "US"
}
},
"beneficiary":
{
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"postalAddress": {
"adrLine1": "10431 Howe Drive",
"city": "Shawnee Mission",
"state": "KS",
"postalCode": "66206",
"country": "US"
}
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"debitDrawdownAdviceCode": "WRE",
"debitDrawdownInformation1": "string1",
"debitDrawdownInformation2": "string2",
"debitDrawdownInformation3": "string3",
"debitDrawdownInformation4": "string4",
"debitDrawdownInformation5": "string5",
"receiverFiInformation1": "Astring",
"receiverFiInformation2": "Bstring",
"receiverFiInformation3": "Cstring",
"receiverFiInformation4": "Dstring",
"receiverFiInformation5": "Estring",
"fiToFiInformation1": "Hstring",
"fiToFiInformation2": "Istring",
"fiToFiInformation3": "Jstring",
"fiToFiInformation4": "Kstring",
"fiToFiInformation5": "Lstring",
"fiToFiInformation6": "Mstring",
"amount": 50000000,
"purpose": "drawdown testing",
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e"
}'Validation Rules
- Beneficiary FI and Intermediary FI Not Allowed
- If either field is populated, the request will be rejected.
- Error Message: {EntityName} not available with ISO format.